Subject: Re: [sunset4] [DNSOP] New Version Notification for draft-palet-sunset4-ipv6-ready-dns-00.txt

From: Patrick Mevzek <[email-masked]>
Date: Mon, 4 Dec 2017 14:25:24 -0500

On 26/11/2017 04:20, JORDI PALET MARTINEZ wrote:
> As I just mention, it is pity that the ccTLDs can opt-out that policy.
> 
> What I don’t think is that, if the gTLDs have such requirement in the contract, they are actually enforcing it?
> 
> Do you have pointers to relevant documents to understand what are the exact requirements and why is not being enforced?

Maybe these:

* ICANN contracts for gTLDs:
https://newgtlds.icann.org/sites/default/files/agreements/agreement-approved-31jul17-en.pdf

on page 78:
"Registry Operator
shall offer public IPv6 transport for, at least, two of
the Registry’s name servers listed in the root zone with the
corresponding IPv6 addresses registered with IANA. "

This is in specification 6 of the contract, that is verified/enforced by
contractual compliance:
https://www.icann.org/resources/pages/gtld-2012-02-25-en
"Relevant provisions include Specifications 6 and 10 of the new gTLD
registry agreement. "

* Pre Delegation Tests
in PDT_DNS_TC_Delegation.pdf inside
https://newgtlds.icann.org/en/applicants/pdt/test-spec-package-21oct16-en.zip
you have:
There must be at least two distinct IPv6 addresses for the delegated
name servers. If there are less than two distinct IPv6 addresses, the
message DELEGATION:TOO_FEW_NS_IPV6 is generated and this test case fails.

and
The name servers must be in at least two topologically separate networks
for IPv4 and IPv6, respectively.

* IANA TLD NS change requirements has only:
The minimal set of requisite glue records is considered to be:

    One A record, if all authoritative name servers are in-bailiwick of
the parent zone; and,
    One AAAA record, if there are any IPv6-capable authoritative name
servers and all IPv6- capable authoritative name servers are
in-bailiwick of the parent zone.

> -----Mensaje original-----
> De: sunset4 <[email-masked]> en nombre de Joe Abley <[email-masked]>
>
>     monster:~]% egrep -c '^[A-Z]' /usr/share/misc/iso3166 
>     249
>     [monster:~]% 
>     
>     There are potentially 249 TLDs that are not operated under any such contract with ICANN, although I agree that the majority of ccTLDs have at least one nameserver that is v6-capable (maybe all, but I haven't checked and I wouldn't want to assume).

Not all.

Some quick counter-examples:
.SL
.KP
.BB

-- 
Patrick Mevzek